if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Region_Insert]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
    drop procedure [dbo].[Region_Insert]
GO
------------------------------------
-- 功能描述：增加一条记录 
-- 所属表格：Region[ ]
-- 作者名称：
-- 创建日期：
-- 修改日期：
 /*
 -- 测试代码 --
 -- 参数设置 
DECLARE @RegionID int -- 地区ID
    SET @RegionID = 
DECLARE @RegionDescription nchar -- 地区描述
    SET @RegionDescription = 
 -- 调用存储过程 
 exec [Region_Insert] @RegionID,@RegionDescription
 */
------------------------------------
CREATE PROCEDURE [Region_Insert] (
@RegionID           int = NULL,    -- 地区ID
@RegionDescription  nchar = NULL   -- 地区描述

)
AS
INSERT INTO Region(
	[RegionDescription]	 
)VALUES( 
	@RegionDescription	
)
SELECT @ID = SCOPE_IDENTITY() -- 返回新加记录的唯一标识
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Region_Edit]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[Region_Edit]
GO
------------------------------------
-- 功能描述：修改一条记录 
-- 所属表格：Region[]
-- 作者名称：
-- 创建日期：
-- 修改日期：
 /* -- 测试代码 --
 -- 参数设置 
DECLARE @RegionID int -- 地区ID
    SET @RegionID = 
DECLARE @RegionDescription nchar -- 地区描述
    SET @RegionDescription = 
 -- 调用存储过程 
 exec [Region_Edit] @RegionID,@RegionDescription 
 */
------------------------------------
CREATE PROCEDURE [Region_Edit]
@RegionID           int = NULL,    -- 地区ID
@RegionDescription  nchar = NULL   -- 地区描述

AS 
UPDATE Region SET 
	 [RegionDescription] = @RegionDescription
WHERE 
	 [RegionID] = @RegionID
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Region_Delete]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[Region_Delete]
GO
------------------------------------
-- 功能描述：删除一条记录 
-- 作者名称：
-- 创建日期：
-- 修改日期：
 /*
 -- 测试代码 --
 -- 参数设置 
 -- 调用存储过程 
DECLARE @ID int
    set @ID=0
 exec [Region_Delete] @ID
 */
------------------------------------
CREATE PROCEDURE [Region_Delete]
	@RegionID int --待删除的主键
AS 
   
	    DELETE FROM [Region]	    WHERE RegionID = @RegionID 
     
     
GO   
     


